org.keycloak.models.sessions.jpa.entities

## Class UserSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.jpa.entities.UserSessionEntity

-     @Entity
      public class UserSessionEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authMethod`
    `protected Collection<ClientSessionEntity>` | `clientSessions`
    `protected String` | `id`
    `protected String` | `ipAddress`
    `protected int` | `lastSessionRefresh`
    `protected String` | `loginUsername`
    `protected String` | `realmId`
    `protected boolean` | `rememberMe`
    `protected int` | `started`
    `protected String` | `userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthMethod()`
    `Collection<ClientSessionEntity>` | `getClientSessions()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `String` | `getRealmId()`
    `int` | `getStarted()`
    `String` | `getUserId()`
    `boolean` | `isRememberMe()`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setLoginUsername(String loginUsername)`
    `void` | `setRealmId(String realmId)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setStarted(int started)`
    `void` | `setUserId(String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### userId

          protected String userId

    - #### loginUsername

          protected String loginUsername

    - #### realmId

          protected String realmId

    - #### ipAddress

          protected String ipAddress

    - #### authMethod

          protected String authMethod

    - #### rememberMe

          protected boolean rememberMe

    - #### started

          protected int started

    - #### lastSessionRefresh

          protected int lastSessionRefresh

    - #### clientSessions

          protected Collection<ClientSessionEntity> clientSessions

  - ### Constructor Detail

    - #### UserSessionEntity

          public UserSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getUserId

          public String getUserId()

    - #### setUserId

          public void setUserId(String userId)

    - #### getLoginUsername

          public String getLoginUsername()

    - #### setLoginUsername

          public void setLoginUsername(String loginUsername)

    - #### getRealmId

          public String getRealmId()

    - #### setRealmId

          public void setRealmId(String realmId)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### getStarted

          public int getStarted()

    - #### setStarted

          public void setStarted(int started)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### getClientSessions

          public Collection<ClientSessionEntity> getClientSessions()

Copyright © 2015. All Rights Reserved.